Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup
Interface IPersistableSourceLocator2

All Superinterfaces:
  IPersistableSourceLocator, ISourceLocator

All Known Subinterfaces:
  ISourceLookupDirector

All Known Implementing Classes:
  AbstractSourceLookupDirector

public interface IPersistableSourceLocator2
extends IPersistableSourceLocator

Extensions to the `IPersistableSourceLocator` interface.

Since:
  3.0
See Also:
  `IPersistableSourceLocator`

Method Summary
`void` | `dispose()` Disposes this source locator.
`void` | `initializeFromMemento(String memento, ILaunchConfiguration configuration)` Initializes this source locator based on the given memento, for the given launch configuration.

Methods inherited from interface org.eclipse.debug.core.model.IPersistableSourceLocator
`getMemento, initializeDefaults, initializeFromMemento`

Methods inherited from interface org.eclipse.debug.core.model.ISourceLocator
`getSourceElement`

Method Detail

### initializeFromMemento

    public void initializeFromMemento(String memento,
                                      ILaunchConfiguration configuration)
                               throws CoreException

  Initializes this source locator based on the given memento, for the given launch configuration. This method is called instead of `initializeFrom(String memento)` defined in `IPersistableSourceLocator` when a source locator implements this interface.

  Parameters:
    `memento` - a memento to initialize this source locator
    `configuration` - the launch configuration this source locator is being created for
  Throws:
    `CoreException` - on failure to initialize

### dispose

    public void dispose()

  Disposes this source locator. This method is called when a source locator's associated launch is removed from the launch manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.